# Get all aggregation rules

List aggregation rules

Endpoint: GET /v1/aggregation-rules
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Query parameters:

  - `page` (integer)
    Pagination page number strategy: Specify the page number within the paginated collection related to the number of items in each page

  - `limit` (integer)
    Pagination: Number of items to return

  - `sort` (string)
    Parameter on the basis of which sorting is done.

  - `search_term` (string)
    This would be used to filter resources having attributes matching the search term.

## Response 200 fields (application/json):

  - `aggregation_rule` (object)

  - `aggregation_rule.identifier` (string, required)

  - `aggregation_rule.name` (string, required)

  - `aggregation_rule.description` (string)

  - `aggregation_rule.field_for_agg` (string, required)

  - `aggregation_rule.agg_formula` (string, required)
    Enum: "SUM", "AVG", "COUNT", "MAX", "MIN", "MEDIAN"

  - `aggregation_rule.scopes_to_aggregate_at` (array, required)
    Enum: "ACCOUNT", "ORGANIZATION", "PROJECT", "SYSTEM", "TEAM"

  - `aggregation_rule.last_computed_status` (string)
    Enum: "CALCULATING", "ERROR", "SUCCESS"

  - `aggregation_rule.last_computed_at` (integer, required)

  - `aggregation_rule.last_error_message` (string)


